
/* The one_wire_ADC.h is a header file for the functions specific to the analog to digital converter via one_wire bus*/
#ifndef ONE_WIRE_ADC_H
#define ONE_WIRE_ADC__H
#include "api_define.h"
#include "api_global.h"
#include "api.h"
#include "can.h"

int8_t ReadDevicesID (uint8_t *pins, int8_t showlist);/*this function list of all devices found in the one wire bus*/

int8_t FindFamilyDevicesAndGetValues(uint8_t *pins, int8_t countDev, uint8_t familyID);/*this function read the value fot temperatur of sensor, ADC and switch*/

void list_all_devices(struct uartStruct *ptr_uartStruct);/* this function contains all the functions that are necessary to
      list ID on all devices connected to one wire bus*/

#endif
