/*
 * VERSION 1.0 Januar 7th 2010 LATE  File: 'one_wire_simpleSwitch.c'
 * Author: Linda Fouedjio  based on Alejandro Gil
 */
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include <math.h>
#include <stdlib.h>
#include <util/delay.h>
#include <avr/pgmspace.h>

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <avr/iocan128.h>

#include "one_wire.h"
#include "one_wire_adc.h"
#include "one_wire_dualSwitch.h"
#include "one_wire_simpleSwitch.h"
#include "read_write_register.h"
#include "one_wire_temperature.h"

#include "adc.h"
#include "api.h"
#include "api_define.h"
#include "api_global.h"
#include "can.h"
#include "mem-check.h"

#include "OWIDeviceSpecific.h"
#include "OWIHighLevelFunctions.h"
#include "OWIBitFunctions.h"

/*this function contains all the functions that are necessary
 *to read state of simple switch 
 */
void read_status_simpleSwitches(struct uartStruct *ptr_uartStruct) {

	NumDevicesFound = ReadDevicesID(BUSES, 0);
	if (0 < NumDevicesFound) {
		FindFamilyDevicesAndGetValues(BUSES, NumDevicesFound,
				FAMILY_DS2405_SIMPLE_SWITCH);
	}
#warning TODO: add else
}

